{% extends "/default/default.twig" %}
{% block title %}Dettagli  territorio {{ nome_territorio }}{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
    <link href="{{dirDefault}}/ext_assets/bootstrap-datepicker/datepicker.css" rel="stylesheet">
    <style>
        .datepicker{z-index:1151 !important;}
    </style>

{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">{{ nome_territorio }} <a href="{{ dirDefault }}/territorio/lista" class="btn btn-primary">Torna alla lista</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/generale/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold btn_menu">Generale</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/nominativi/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn btn-outline btn-primary bold btn_menu">Nominativi</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/movimenti/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn  btn-primary bold btn_menu">Movimenti</a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <a  href="{{ dirDefault }}/territorio/dettagli/mappa/{{ id_territorio }}" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 btn-outline btn btn-primary bold btn_menu">Mappa</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-movimenti" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                    <tr>
                        <th>uscita</th>
                        <th>entrata</th>
                        <th>nome</th>
                        <th>cognome</th>
                        <th>lavorazione</th>
                        <th width="200px"><btn onClick="nuovoMovimento({{ id_territorio }})"  class="btn btn-primary" >Assegnazione</btn></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <!--<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/jquery.validate.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/localization/messages_it.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/bootstrap-datepicker/bootstrap-datepicker.js"></script>

    <script>
        $(function() {
            $('#dataTables-movimenti').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '{{dirDefault}}/territorio/dettagli/movimenti/load_lista/{{ id_territorio }}',
                    type: 'POST'
                },
                stateSave: false,
                columns: [
                    {
                        "class": "data_out",
                        "data": "data_out",
                        "orderable": true,
                        "defaultContent": ""
                    },
                    {
                        "class": "data_in",
                        "orderable": false,
                        "data": "data_in",
                        "defaultContent": "",
                        "render": function (data, type, row) {
                           if(data == "01/01/1970"){
                               data = "-";
                           }
                           return data;
                        },
                    },
                    {
                        "class": "nome_utente",
                        "orderable": false,
                        "data": "nome_utente",
                        "defaultContent": ""
                    },
                    {
                        "class": "cognome_utente",
                        "orderable": false,
                        "data": "cognome_utente",
                        "defaultContent": ""
                    },
                    {
                        "class": "nome_lavorazione",
                        "orderable": false,
                        "data": "nome_lavorazione",
                        "defaultContent": ""
                    },
                    {
                        "class": "id_movimento",
                        //"orderable": false,
                        "data": "id_movimento",
                        "render": function (data, type, row) {
                            var modifica = '<btn onClick="modificaModal(' + data + ')" class="modifica btn btn-warning" style"width:80px">Rientro</btn>';
                            var cancella = '<btn onClick="cancellaModal(' + data + ')"  class="btn btn-danger" style"width:80px">Cancella</btn>';
                            return modifica + " " + cancella;
                        },
                        "defaultContent": ""
                    }
                ],
                order:[
                    [ 0, 'DESC' ]
                ]
            });
        })

        function cancellaModal(id_movimento) {
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/movimento/dettagli/" + id_movimento,
                dataType: "json"
            });
            request.done(function (dettaglio) {
                //console.log(nominativo);
                var data_in = "-";
                if(dettaglio.data_in_slash != "//"){
                    data_in = dettaglio.data_in_slash;
                }
                var info = "<p>" + dettaglio.nome_utente + " " + dettaglio.cognome_utente + ", assegnazione: " + dettaglio.data_out_slash + " - rientro: " + dettaglio.data_in_slash + " lavorazione:" + dettaglio.nome_lavorazione + "</p>";
                $(".modal-title").html("Attenzione");
                $(".modal-body").html(info + "Vuoi davvero cancellare in maniere definitiva questo movimento?");
                $(".modal-footer").html('<button onClick="cancellaConfirm(' + id_movimento + ')" type="button" id="modal_action" class="btn btn-danger close_modal" data-dismiss="modal">Cancella</button><button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Annulla</button>');
                $("#modal").modal("show");
            });
            request.fail(function (jqXHR, textStatus) {
                console.log("Errore " + jqXHR + " | " + textStatus);
            });
        }

        function cancellaConfirm(id_movimento) {
            //procedo a cancellazione id_movimento
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/movimento/cancella/" + id_movimento,
                dataType: "json"
            });
            request.done(function (resp) {
                console.log(resp);
                $("#modal").modal("hide");
                $(".modal-title").html("Esito");
                $(".modal-body").html(resp.esito);
                $("#modal").modal("show");

                if (resp.esito == 'OK') {
                    //ricarico pagina
                    location.reload();
                }
            });
            request.fail(function (jqXHR, textStatus) {
                console.log("Errore " + jqXHR + " | " + textStatus);
            });
        }

        function modificaModal(id_movimento) {
            var utenti_opt = "";
            //modale con dati movimento
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/movimento/dettagli/" + id_movimento,
                dataType: "json",
                async : false
            });
            request.done(function (movimento) {
                $(".modal-title").html("Modifica dettagli movimento");

                //costruzisco select utenti
                var id_utente_now = movimento.id_proclamatore;

                var r_utenti = $.ajax({
                    method: "post",
                    url: "{{dirDefault}}/utente/all",
                    dataType: "json",
                    async : false
                });
                r_utenti.done(function (utenti) {
                    //costruisco option select utenti
                     for (one in utenti){
                        var id_utente = utenti[one].id_utente;
                        var select = '';
                        if(id_utente == id_utente_now){
                            select = 'selected';
                        }
                         utenti_opt += "<option value='"+id_utente+"' " + select + ">"+utenti[one].nome_utente+" "+utenti[one].cognome_utente+"</option>";
                    };
                });

                var select_utenti = "<select name='id_proclamatore' class='form-control'>"+utenti_opt+"</select>";


                //costruisco select lavorazione
                var select_1 = '';
                var select_2 = '';
                var select_3 = '';
                var select_4 = '';
                var select_5 = '';
                var lavorazione = (movimento.id_lavorazione);
                if (lavorazione == 1) {
                    select_1 = "selected";
                } else if (lavorazione == 2) {
                    select_2 = "selected";
                } else if (lavorazione == 3) {
                    select_3 = "selected";
                } else if (lavorazione == 4) {
                    select_4 = "selected";
                } else if (lavorazione == 5) {
                    select_5 = "selected";
                }
                var select_lavorazione = "<select name='lavorazione' class='form-control lavorazione'>" +
                        "<option value='1' option_n='1'" + select_1 + ">normale</option>" +
                        "<option value='2' option_n='2'" + select_2 + ">campagna</option>" +
                        "<option value='3' option_n='3'" + select_3 + ">commemorazione</option>" +
                        "<option value='4' option_n='4'" + select_4 + ">assemblea</option>" +
                        "<option value='5' option_n='5'" + select_5 + ">ricerca</option>" +
                        "</select>";
                //costruisco form
                var form = "<form id='form_movimento'>" +
                        "<input class='form-control' type='hidden' name='id_movimento' value='" + movimento.id_movimento + "'/>" +
                        "<input class='form-control' type='hidden' name='id_territorio' value='" + movimento.id_territorio + "'/>" +
                        "<div class='form-group'><label>Proclamatore</label>"+select_utenti+"</div>" +
                        "<div class='form-group'><label>Data Uscita</label><input class='form-control datepicker' id='data_out' name='data_out' value='" + movimento.data_out_slash + "'/> </div>" +
                        "<div class='form-group'><label>Data Rientro</label><input class='form-control datepicker' id='data_in' name='data_in' value='" + movimento.data_in_slash + "'/> </div>" +
                        "<div class='form-group'><label>Lavorazione</label>" + select_lavorazione + " </div>" +
                        "<div class='form-group' style='text-align: right'><input class='btn btn-primary' type='submit' value='Salva modifica'/> <input class='btn btn-default close_modal' type='button' data-dismiss='modal'value='Annulla'/></div>" +
                        "</form>";
                $(".modal-body").html(form);
                $(".modal-footer").html("La modifica di un movimento non pu&ograve; essere annullata");

                $("#modal").modal("show");
                $('.datepicker').datepicker({
                    format: 'dd/mm/yyyy'
                });
                //codice per salvataggio movimento
                $("#form_movimento").validate({
                    submitHandler: function (form) {
                        var request = $.ajax({
                            method: "post",
                            url: "{{dirDefault}}/movimento/salva/",
                            data: $('#form_movimento').serialize(),
                            dataType: "json"
                        });
                        request.done(function (resp) {
                            if (resp.esito == "OK") {
                               location.href = "{{ dirDefault }}/territorio/dettagli/movimenti/{{ id_territorio }}";
                            }else{
                                alert(resp.msg);
                            }
                        });
                        request.fail(function (jqXHR, textStatus) {
                            // console.log("Errore "+ jqXHR +" | "+ textStatus);
                        });

                    },
                    invalidHandler: function () {
                        return false;
                    }
                });
            });
            request.fail(function (jqXHR, textStatus) {
                console.log("Errore " + jqXHR + " | " + textStatus);
            });
        }

        function nuovoMovimento(id_territorio){
            var utenti_opt = "";
            $(".modal-title").html("Nuovo movimento");

            var r_utenti = $.ajax({
                method: "post",
                url: "{{dirDefault}}/utente/all",
                dataType: "json",
                async : false
            });
            r_utenti.done(function (utenti) {
                //costruisco option select utenti
                for (one in utenti){
                    var id_utente = utenti[one].id_utente;
                    utenti_opt += "<option value='"+id_utente+"' >"+utenti[one].nome_utente+" "+utenti[one].cognome_utente+"</option>";
                };
            });

            var select_utenti = "<select name='id_proclamatore' class='form-control'>"+utenti_opt+"</select>";
            var select_lavorazione = "<select name='lavorazione' class='form-control lavorazione'>" +
                    "<option value='1'>normale</option>" +
                    "<option value='2'>campagna</option>" +
                    "<option value='3'>commemorazione</option>" +
                    "<option value='4'>assemblea</option>" +
                    "<option value='5'>ricerca</option>" +
                    "</select>";
            //costruisco form
            var form = "<form id='form_movimento'>" +
                    "<input class='form-control' type='hidden' name='id_territorio' value='{{ id_territorio }}'/>" +
                    "<div class='form-group'><label>Proclamatore</label>"+select_utenti+"</div>" +
                    "<div class='form-group'><label>Data Uscita</label><input class='form-control datepicker' id='data_out' name='data_out'/> </div>" +
                    "<div class='form-group'><label>Data Rientro</label><input class='form-control datepicker' id='data_in' name='data_in'/> </div>" +
                    "<div class='form-group'><label>Lavorazione</label>" + select_lavorazione + " </div>" +
                    "<div class='form-group' style='text-align: right'><input class='btn btn-primary' type='submit' value='Salva'/> <input class='btn btn-default close_modal' type='button' data-dismiss='modal'value='Annulla'/></div>" +
                    "</form>";
            $(".modal-body").html(form);
            $(".modal-footer").html("");

            $("#modal").modal("show");
            $('.datepicker').datepicker({
                format: 'dd/mm/yyyy'
            });
            //codice per salvataggio movimento
            $("#form_movimento").validate({
                submitHandler: function (form) {
                    var request = $.ajax({
                        method: "post",
                        url: "{{dirDefault}}/movimento/salva/",
                        data: $('#form_movimento').serialize(),
                        dataType: "json"
                    });
                    request.done(function (resp) {
                        if (resp.esito == "OK") {
                            location.href = "{{ dirDefault }}/territorio/dettagli/movimenti/{{ id_territorio }}";
                        }else{
                            alert(resp.msg);
                        }

                    });
                    request.fail(function (jqXHR, textStatus) {
                        // console.log("Errore "+ jqXHR +" | "+ textStatus);
                    });

                },
                invalidHandler: function () {
                    return false;
                }
            });
        }
    </script>
{% endblock %}